Tomcat10DeltaSessionManager (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: Tomcat10DeltaSessionManager

Package org.apache.geode.modules.session.catalina

# Class Tomcat10DeltaSessionManager

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleMBeanBase
org.apache.catalina.session.ManagerBase
org.apache.geode.modules.session.catalina.DeltaSessionManager<Tomcat10CommitSessionValve>
org.apache.geode.modules.session.catalina.Tomcat10DeltaSessionManager

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `MBeanRegistration`, `org.apache.catalina.JmxEnabled`, `org.apache.catalina.Lifecycle`, `org.apache.catalina.Manager`, `SessionManager`

public class Tomcat10DeltaSessionManager extends DeltaSessionManager<Tomcat10CommitSessionValve>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.catalina.session.ManagerBase

  `org.apache.catalina.session.ManagerBase.SessionTiming`

  ## Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

  `org.apache.catalina.Lifecycle.SingleUse`

- ## Field Summary

  ### Fields inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

  `name, regionName, started`

  ### Fields inherited from class org.apache.catalina.session.ManagerBase

  `duplicates, expiredSessions, maxActive, processExpiresFrequency, processingTime, secureRandomAlgorithm, secureRandomClass, secureRandomProvider, sessionCounter, sessionCreationTiming, sessionExpirationTiming, sessionIdGenerator, sessionIdGeneratorClass, sessionMaxAliveTime, sessions, sm, support, TIMING_STATS_CACHE_SIZE`

  ### Fields inherited from interface org.apache.catalina.Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tomcat10DeltaSessionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Tomcat10CommitSessionValve`
  `createCommitSessionValve()`
  `int`
  `getMaxInactiveInterval()`
  `protected org.apache.catalina.session.StandardSession`
  `getNewSession()`
  `protected org.apache.catalina.Pipeline`
  `getPipeline()`
  `org.apache.catalina.Context`
  `getTheContext()`
  `void`
  `setMaxInactiveInterval(int interval)`
  `void`
  `startInternal()`
  Prepare for the beginning of active use of the public methods of this component.
  `void`
  `stopInternal()`
  Gracefully terminate the active use of the public methods of this component.

  ### Methods inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

  `add, cancelTimer, findSession, getActiveSessions, getEnableDebugListener, getEnableGatewayDeltaReplication, getEnableGatewayReplication, getEnableLocalCache, getLogger, getMaxActiveSessions, getPreferDeserializedForm, getRegionAttributesId, getRegionName, getRejectedSessions, getSessionCache, getSessionsToTouch, getStatistics, getStatisticsName, initializeSessionCache, isBackingCacheAvailable, isClientServer, isCommitValveEnabled, isCommitValveFailfastEnabled, listSessionIds, load, propertyChange, registerCommitSessionValve, registerJvmRouteBinderValve, remove, scheduleTimerTasks, setEnableCommitValve, setEnableCommitValveFailfast, setEnableDebugListener, setEnableGatewayDeltaReplication, setEnableGatewayReplication, setEnableLocalCache, setMaxActiveSessions, setPreferDeserializedForm, setRegionAttributesId, setRegionName, setRejectedSessions, toString, unload, unregisterCommitSessionValve, unregisterJvmRouteBinderValve`

  ### Methods inherited from class org.apache.catalina.session.ManagerBase

  `addPropertyChangeListener, backgroundProcess, changeSessionId, changeSessionId, createEmptySession, createSession, expireSession, findSessions, generateSessionId, getClassName, getContext, getCreationTime, getCreationTimestamp, getDomainInternal, getDuplicates, getEngine, getExpiredSessions, getJvmRoute, getLastAccessedTime, getLastAccessedTimestamp, getMaxActive, getName, getNotifyAttributeListenerOnUnchangedValue, getNotifyBindingListenerOnUnchangedValue, getObjectNameKeyProperties, getPersistAuthentication, getProcessExpiresFrequency, getProcessingTime, getSecureRandomAlgorithm, getSecureRandomClass, getSecureRandomProvider, getSession, getSessionActivityCheck, getSessionAttribute, getSessionAttributeNameFilter, getSessionAttributeNamePattern, getSessionAttributeValueClassNameFilter, getSessionAttributeValueClassNamePattern, getSessionAverageAliveTime, getSessionCounter, getSessionCreateRate, getSessionExpireRate, getSessionIdGenerator, getSessionLastAccessAtStart, getSessionMaxAliveTime, getThisAccessedTime, getThisAccessedTimestamp, getWarnOnSessionAttributeFilterFailure, initInternal, processExpires, remove, removePropertyChangeListener, rotateSessionId, setContext, setDuplicates, setExpiredSessions, setMaxActive, setNotifyAttributeListenerOnUnchangedValue, setNotifyBindingListenerOnUnchangedValue, setPersistAuthentication, setProcessExpiresFrequency, setProcessingTime, setSecureRandomAlgorithm, setSecureRandomClass, setSecureRandomProvider, setSessionActivityCheck, setSessionAttributeNameFilter, setSessionAttributeValueClassNameFilter, setSessionCounter, setSessionIdGenerator, setSessionLastAccessAtStart, setSessionMaxAliveTime, setWarnOnSessionAttributeFilterFailure, updateSessionMaxAliveTime, willAttributeDistribute`

  ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

  `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister, unregister`

  ### Methods inherited from class org.apache.catalina.util.LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.catalina.Lifecycle

  `addLifecycleListener, destroy, findLifecycleListeners, getState, getStateName, init, removeLifecycleListener, start, stop`

- ## Constructor Details

  - ### Tomcat10DeltaSessionManager

    public Tomcat10DeltaSessionManager()

- ## Method Details

  - ### startInternal

    public void startInternal() throws org.apache.catalina.LifecycleException
    Prepare for the beginning of active use of the public methods of this component. This method should be called after `configure()`, and before any of the public methods of the component are utilized.
    Overrides:
      `startInternal` in class `org.apache.catalina.session.ManagerBase`
    Throws:
      `org.apache.catalina.LifecycleException` - if this component detects a fatal error that prevents this component from being used

  - ### stopInternal

    public void stopInternal() throws org.apache.catalina.LifecycleException
    Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component.
    Overrides:
      `stopInternal` in class `org.apache.catalina.session.ManagerBase`
    Throws:
      `org.apache.catalina.LifecycleException` - if this component detects a fatal error that needs to be reported

  - ### getMaxInactiveInterval

    public int getMaxInactiveInterval()
    Specified by:
      `getMaxInactiveInterval` in interface `SessionManager`
    Specified by:
      `getMaxInactiveInterval` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`

  - ### getPipeline

    protected org.apache.catalina.Pipeline getPipeline()
    Specified by:
      `getPipeline` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`

  - ### createCommitSessionValve

    protected Tomcat10CommitSessionValve createCommitSessionValve()
    Specified by:
      `createCommitSessionValve` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`

  - ### getTheContext

    public org.apache.catalina.Context getTheContext()
    Specified by:
      `getTheContext` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`

  - ### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)
    Specified by:
      `setMaxInactiveInterval` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`

  - ### getNewSession

    protected org.apache.catalina.session.StandardSession getNewSession()
    Overrides:
      `getNewSession` in class `DeltaSessionManager<Tomcat10CommitSessionValve>`